/* (C) 2009-2010 Yana */

#define YK0A_PREPROCESS_ONLY
#include "start_setup.h"
#include "yk0a_arm.h"

#define CPSR_OFF YK0A_ARM_CPSR_M_MASK
#define CPSR_ON (YK0A_ARM_CPSR_I | YK0A_ARM_CPSR_F | YK0A_ARM_CPSR_M_SVC)

	.text
	.balign 4

	.global start
start:
	mrs r0, cpsr
	ldr r1, =CPSR_OFF
	bic r0, r0, r1
	ldr r1, =CPSR_ON
	orr r0, r0, r1
	msr cpsr, r0

	ldr sp, =START_SETUP_TASK0_SP
	ldr lr, =START_SETUP_TASK0_PC
	mov pc, lr
