/* (C) 2009-2010 Yana */

#define YK0A_PREPROCESS_ONLY
#include "start_setup.h"
#include "yk0a_mips.h"

#define CAUSE_OFF YK0A_MIPS_CAUSE_IV
#define CAUSE_ON 0
#define STATUS_OFF (YK0A_MIPS_STATUS_BEV | YK0A_MIPS_STATUS_KSU_MASK | YK0A_MIPS_STATUS_ERL | YK0A_MIPS_STATUS_IE)
#define STATUS_ON YK0A_MIPS_STATUS_EXL

	.text
	.balign 4
	.set at
	.set reorder

	.global start
start:
	mfc0 $2, YK0A_MIPS_CAUSE
	li $3, ~CAUSE_OFF
	and $2, $2, $3
	li $3, CAUSE_ON
	or $2, $2, $3
	mtc0 $2, YK0A_MIPS_CAUSE
	YK0A_MIPS_HAZARD_CAUSE

	mfc0 $2, YK0A_MIPS_STATUS
	li $3, ~STATUS_OFF
	and $2, $2, $3
	li $3, STATUS_ON
	or $2, $2, $3
	mtc0 $2, YK0A_MIPS_STATUS
	YK0A_MIPS_HAZARD_STATUS

	la $gp, _gp
	la $sp, START_SETUP_TASK0_SP
	la $ra, START_SETUP_TASK0_PC
	jr $ra
